#version 430 core

in vec2 fragmentUV;

layout(location = 0) out vec4 fragColor;
in vec4 vertexColor;
uniform sampler2D color_texture;

void main()
{
	vec4 textureColor = texture(color_texture, fragmentUV).rgba;
	
	// entfernt Strung im Alpha Kanal
	if(textureColor.a <0.5)discard;
fragColor = vec4(mix(textureColor.rgb,vec3(0.92f, 0.90f, 1.0f).rgb,vertexColor.r), 1.0f);
}