#version 430

in vec3 position;
// normal muss verwendet werden sonst wird im Debug Modus ein ERROR geworfen
in vec3 normal;
in vec2 uv;
out vec4 vertexColor;
out vec2 fragmentUV;

uniform mat4 model;
uniform mat4 MVP;
uniform vec4 plane;

void main() 
{

	fragmentUV=uv;	
	gl_Position = MVP * vec4(position, 1);

	gl_ClipDistance[0]= dot(vec4(position, 1),plane);

	float distToCamera = max(0.0, length(gl_Position) - 2.0f);
	float ratio = distToCamera / 8.0f;
	vertexColor = vec4(0.92f, 0.90f, 1.0f,1.0f);
	vertexColor.r = min(ratio, 1);

}